package com.njcn.influx.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njcn.influx.bo.po.DictData;
import com.njcn.influx.bo.po.OracleRmpEventDetailPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * data-migration
 *
 * @author cdf
 * @date 2024/2/19
 */
@DS("master")
public interface OracleRmpEventDetailPOMapper extends BaseMapper<OracleRmpEventDetailPO> {

    List<DictData> selectByDicCodeList(@Param("code") String code);

    List<DictData> selectDicByIds(@Param("ids") List<String> ids);

    void updateCause(@Param("code") Integer code, @Param("indexEvt") String indexEvt);

    void updateType(@Param("code") Integer code, @Param("indexEvt") String indexEvt);

}
